Get environments for service

Server: https://{kibana_url}
  • GET /api/apm/settings/agent-configuration/environments
  • GET /s/{space_id}/api/apm/settings/agent-configuration/environments

Refer to Spaces for more information.

Retrieve the available environments for a given service, to be used in agent configuration. You must have read privileges for the APM and User Experience feature in Kibana. If serviceName is omitted, environments across all services are returned.

Query Parameters

serviceName string

The name of the service. If omitted, environments across all services are returned.

Responses